commit:     8545c830e0410af2117c0a955db162a0f571aab0
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  2 00:49:38 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  2 00:49:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8545c830

sci-geosciences/gpsd: add missing die, fix indentation

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-geosciences/gpsd/gpsd-9999.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/sci-geosciences/gpsd/gpsd-9999.ebuild 
b/sci-geosciences/gpsd/gpsd-9999.ebuild
index f89f4b416914..75899a3a66c3 100644
--- a/sci-geosciences/gpsd/gpsd-9999.ebuild
+++ b/sci-geosciences/gpsd/gpsd-9999.ebuild
@@ -33,7 +33,7 @@ IUSE_GPSD_PROTOCOLS=${GPSD_PROTOCOLS[@]/#/+gpsd_protocols_}
 IUSE="${IUSE_GPSD_PROTOCOLS} bluetooth +cxx dbus debug ipv6 latency-timing 
ncurses ntp qt5 selinux +shm static systemd test udev usb X"
 REQUIRED_USE="
        gpsd_protocols_nmea2000? ( gpsd_protocols_aivdm )
-        ${PYTHON_REQUIRED_USE}
+       ${PYTHON_REQUIRED_USE}
        qt5? ( cxx )
 "
 RESTRICT="!test? ( test )"
@@ -135,10 +135,12 @@ python_prepare_all() {
                -e "s|@SUPPORT@|https://gpsd.io/SUPPORT.html|" \
                -e "s|@WEBSITE@|https://gpsd.io/|" \
                "${S}"/packaging/gpsd-setup.py.in > setup.py || die
+
        if [[ "${PV}" == *9999* ]]; then
                # Distutils doesn't like the tilde
-               sed -i s/~dev/-dev/ setup.py
+               sed -i s/~dev/-dev/ setup.py || die
        fi
+
        distutils-r1_python_prepare_all
 }
 

Reply via email to